## r-cran-progressr 0.13.0

=== DESCRIPTION ===
Package: progressr
Version: 0.13.0
Title: An Inclusive, Unifying API for Progress Updates
Description: A minimal, unifying API for scripts and packages to report progress updates from anywhere including when using parallel processing.  The package is designed such that the developer can to focus on what progress should be reported on without having to worry about how to present it.  The end user has full control of how, where, and when to render these progress updates, e.g. in the terminal using utils::txtProgressBar(), cli::cli_progress_bar(), in a graphical user interface using utils::winProgressBar(), tcltk::tkProgressBar() or shiny::withProgress(), via the speakers using beepr::beep(), or on a file system via the size of a file. Anyone can add additional, customized, progression handlers. The 'progressr' package uses R's condition framework for signaling progress updated. Because of this, progress can be reported from almost anywhere in R, e.g. from classical for and while loops, from map-reduce API:s like the lapply() family of functions, 'purrr', 'plyr', and 'foreach'. It will also work with parallel processing via the 'future' framework, e.g. future.apply::future_lapply(), furrr::future_map(), and 'foreach' with 'doFuture'. The package is compatible with Shiny applications.
Authors@R: c(
  person("Henrik", "Bengtsson", role=c("aut", "cre", "cph"),
         email = "henrikb@braju.com"))
License: GPL (>= 3)
Depends: R (>= 3.5.0)
Imports: digest, utils
Suggests: graphics, tcltk, beepr, cli, crayon, pbmcapply, progress,
        purrr, foreach, plyr, doFuture, future, future.apply, furrr,
        RPushbullet, rstudioapi, shiny, commonmark, base64enc, tools
VignetteBuilder: progressr
URL: https://progressr.futureverse.org,
        https://github.com/HenrikBengtsson/progressr
BugReports: https://github.com/HenrikBengtsson/progressr/issues
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-01-10 05:17:35 UTC; hb
Author: Henrik Bengtsson [aut, cre, cph]
Maintainer: Henrik Bengtsson <henrikb@braju.com>
Repository: CRAN
Date/Publication: 2023-01-10 07:30:02 UTC

## r-cran-progressr 0.10.0

=== debian/changelog ===
r-cran-progressr (0.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <nilesh@debian.org>  Fri, 31 Dec 2021 14:05:36 +0000

r-cran-progressr (0.9.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 11 Oct 2021 14:44:39 +0200

r-cran-progressr (0.8.0-1) unstable; urgency=medium

  * Initial release (closes: #994801)

 -- Andreas Tille <tille@debian.org>  Tue, 21 Sep 2021 07:36:03 +0200

=== debian/control ===
Source: r-cran-progressr
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-digest
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-progressr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-progressr.git
Homepage: https://cran.r-project.org/package=progressr
Rules-Requires-Root: no

Package: r-cran-progressr
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R inclusive, unifying API for progress updates
 A minimal, unifying API for scripts and packages to report progress
 updates from anywhere including when using parallel processing. The
 package is designed such that the developer can to focus on what
 progress should be reported on without having to worry about how to
 present it. The end user has full control of how, where, and when to
 render these progress updates, e.g. in the terminal using
 utils::txtProgressBar() or progress::progress_bar(), in a graphical user
 interface using utils::winProgressBar(), tcltk::tkProgressBar() or
 shiny::withProgress(), via the speakers using beep::beepr(), or on a
 file system via the size of a file. Anyone can add additional,
 customized, progression handlers. The 'progressr' package uses R's
 condition framework for signaling progress updated. Because of this,
 progress can be reported from almost anywhere in R, e.g. from classical
 for and while loops, from map-reduce APIs like the lapply() family of
 functions, 'purrr', 'plyr', and 'foreach'. It will also work with
 parallel processing via the 'future' framework, e.g.
 future.apply::future_lapply(), furrr::future_map(), and 'foreach' with
 'doFuture'. The package is compatible with Shiny applications.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-future
Restrictions: allow-stderr

## r-cran-progressr 0.10.1

=== debian/changelog ===
r-cran-progressr (0.10.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.10.1
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 09 Jun 2022 08:25:49 +0530

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-digest
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-progressr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-progressr.git
 Homepage: https://cran.r-project.org/package=progressr

## r-cran-progressr 0.13.0

=== debian/changelog ===
r-cran-progressr (0.13.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 16 Jan 2023 14:06:20 +0100

r-cran-progressr (0.12.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 20 Dec 2022 16:52:01 +0100

r-cran-progressr (0.11.0-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)
  * lintian-overrides for source-is-missing

 -- Andreas Tille <tille@debian.org>  Thu, 15 Sep 2022 16:17:41 +0200

## r-cran-progressr 0.14.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: progressr
-Version: 0.13.0
+Version: 0.14.0
 Title: An Inclusive, Unifying API for Progress Updates
 Description: A minimal, unifying API for scripts and packages to report progress updates from anywhere including when using parallel processing.  The package is designed such that the developer can to focus on what progress should be reported on without having to worry about how to present it.  The end user has full control of how, where, and when to render these progress updates, e.g. in the terminal using utils::txtProgressBar(), cli::cli_progress_bar(), in a graphical user interface using utils::winProgressBar(), tcltk::tkProgressBar() or shiny::withProgress(), via the speakers using beepr::beep(), or on a file system via the size of a file. Anyone can add additional, customized, progression handlers. The 'progressr' package uses R's condition framework for signaling progress updated. Because of this, progress can be reported from almost anywhere in R, e.g. from classical for and while loops, from map-reduce API:s like the lapply() family of functions, 'purrr', 'plyr', and 'foreach'. It will also work with parallel processing via the 'future' framework, e.g. future.apply::future_lapply(), furrr::future_map(), and 'foreach' with 'doFuture'. The package is compatible with Shiny applications.
 Authors@R: c(
@@ -17,8 +17,8 @@
 BugReports: https://github.com/HenrikBengtsson/progressr/issues
 RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2023-01-10 05:17:35 UTC; hb
+Packaged: 2023-08-10 12:56:44 UTC; henrik
 Author: Henrik Bengtsson [aut, cre, cph]
 Maintainer: Henrik Bengtsson <henrikb@braju.com>
 Repository: CRAN
-Date/Publication: 2023-01-10 07:30:02 UTC
+Date/Publication: 2023-08-10 22:50:02 UTC

=== vignettes/imgs/Makefile ===
all: slow_sum.svg

%.svg: %.bob
	svgbob --font-family=monospace --output $@ < $<

%.png: %.svg
	inkscape -z -d 192 -e $@ $<

=== debian/changelog ===
r-cran-progressr (0.14.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 01 Sep 2023 11:55:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-cran-progressr
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-progressr
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-progressr.git
+Homepage: https://cran.r-project.org/package=progressr
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-digest
-Standards-Version: 4.6.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-progressr
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-progressr.git
-Homepage: https://cran.r-project.org/package=progressr
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-progressr
 Architecture: all

## r-cran-progressr 0.15.1

=== DESCRIPTION ===
Package: progressr
Version: 0.15.1
Title: An Inclusive, Unifying API for Progress Updates
Description: A minimal, unifying API for scripts and packages to report progress updates from anywhere including when using parallel processing.  The package is designed such that the developer can to focus on what progress should be reported on without having to worry about how to present it.  The end user has full control of how, where, and when to render these progress updates, e.g. in the terminal using utils::txtProgressBar(), cli::cli_progress_bar(), in a graphical user interface using utils::winProgressBar(), tcltk::tkProgressBar() or shiny::withProgress(), via the speakers using beepr::beep(), or on a file system via the size of a file. Anyone can add additional, customized, progression handlers. The 'progressr' package uses R's condition framework for signaling progress updated. Because of this, progress can be reported from almost anywhere in R, e.g. from classical for and while loops, from map-reduce API:s like the lapply() family of functions, 'purrr', 'plyr', and 'foreach'. It will also work with parallel processing via the 'future' framework, e.g. future.apply::future_lapply(), furrr::future_map(), and 'foreach' with 'doFuture'. The package is compatible with Shiny applications.
Authors@R: c(person("Henrik", "Bengtsson",
                    role = c("aut", "cre", "cph"),
                    email = "henrikb@braju.com",
                    comment = c(ORCID = "0000-0002-7579-5165")))
License: GPL (>= 3)
Depends: R (>= 3.5.0)
Imports: digest, utils
Suggests: graphics, tcltk, beepr, cli, crayon, pbmcapply, progress,
        purrr, foreach, plyr, doFuture, future, future.apply, furrr,
        ntfy, RPushbullet, rstudioapi, shiny, commonmark, base64enc,
        tools
VignetteBuilder: progressr
URL: https://progressr.futureverse.org,
        https://github.com/futureverse/progressr
BugReports: https://github.com/futureverse/progressr/issues
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2024-11-21 06:18:27 UTC; henrik
Author: Henrik Bengtsson [aut, cre, cph]
    (<https://orcid.org/0000-0002-7579-5165>)
Maintainer: Henrik Bengtsson <henrikb@braju.com>
Repository: CRAN
Date/Publication: 2024-11-22 14:20:06 UTC

=== debian/changelog ===
r-cran-progressr (0.15.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Charles Plessy <plessy@debian.org>  Fri, 24 Jan 2025 08:16:31 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-progressr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-progressr.git
 Homepage: https://cran.r-project.org/package=progressr
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-cli,
        r-cran-crayon,
        r-cran-pbmcapply,
        r-cran-progress,
        r-cran-purrr,
        r-cran-foreach,
        r-cran-plyr,
        r-cran-future,
        r-cran-future.apply,
        r-cran-furrr,
        r-cran-rstudioapi,
        r-cran-shiny,
        r-cran-commonmark,
        r-cran-base64enc
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/progressr_([-\d.]*)\.tar\.gz

## r-cran-progressr 0.18.0

=== debian/changelog ===
r-cran-progressr (0.18.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * Update watch file format version to 5.

 -- Charles Plessy <plessy@debian.org>  Thu, 26 Feb 2026 09:31:57 +0900

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,31 @@
 Source: r-cran-progressr
+Standards-Version: 4.7.3
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Uploaders:
+ Andreas Tille <tille@debian.org>,
 Section: gnu-r
-Priority: optional
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Andreas Tille <tille@debian.org>
+Testsuite: autopkgtest-pkg-r
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-r,
+ r-base-dev,
+ r-cran-digest,
+ architecture-is-64-bit,
+ architecture-is-little-endian,
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-progressr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-progressr.git
 Homepage: https://cran.r-project.org/package=progressr
-Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               r-cran-digest
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-progressr
 Architecture: all
-Depends: ${R:Depends},
-         ${misc:Depends}
-Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Depends:
+ ${R:Depends},
+ ${misc:Depends},
+Recommends:
+ ${R:Recommends},
+Suggests:
+ ${R:Suggests},
 Description: GNU R inclusive, unifying API for progress updates
  A minimal, unifying API for scripts and packages to report progress
  updates from anywhere including when using parallel processing. The

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-cli,
 r-cran-crayon,
 r-cran-pbmcapply,
 r-cran-progress,
 r-cran-purrr,
 r-cran-foreach,
 r-cran-plyr,
 r-cran-future,
 r-cran-future.apply,
 r-cran-furrr,
 r-cran-rstudioapi,
 r-cran-shiny,
 r-cran-commonmark,
 r-cran-base64enc,

=== debian/watch ===
Version: 5

Source: https://cloud.r-project.org/src/contrib/progressr_([-\d.]*)\.tar\.gz
